#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QProcess>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
	void install();
	void reboot();

	void readyReadStandardOutput();    

private:
    Ui::MainWindow *ui;
	QProcess *process ;
};

#endif // MAINWINDOW_H
